# $Revision: 1.28 $, $Date: 2008-02-02 11:00:23 $
Summary:	Detect and perform actions when an ethernet cable is (un)plugged
Summary(pl.UTF-8):	Wykrywanie podłączenia/odłączenia kabla ethernetowego i podejmowanie działań z tym związanych
Name:		ifplugd
Version:	0.28
Release:	6
License:	GPL
Group:		Networking
Source0:	http://0pointer.de/lennart/projects/ifplugd/%{name}-%{version}.tar.gz
# Source0-md5:	df6f4bab52f46ffd6eb1f5912d4ccee3
Patch0:		%{name}-pld.patch
Patch1:		%{name}-headers_fix.patch
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://0pointer.de/lennart/projects/ifplugd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdaemon-devel >= 0.5
BuildRequires:	lynx
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires(post,preun):	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ifplugd is a Linux daemon which will automatically configure your
ethernet device when a cable is plugged in and automatically
unconfigure it if the cable is pulled. This is useful on laptops with
onboard network adapters, since it will only configure the interface
when a cable is really connected.

%description -l pl.UTF-8
ifplugd jest demonem linuksowym, który automatycznie konfiguruje kartę
sieciową ethernet w chwili podłączenia do niej kabla i automatycznie
usuwa jej konfigurację, gdy kabel jest odłączany. Przydaje się to w
laptopach z kartą sieciową na płycie, gdyż powoduje to skonfigurowanie
interfejsu tylko wtedy, gdy kabel jest rzeczywiście podłączony.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
autoreconf
%configure \
	--disable-subversion \
	--disable-xmltoman \
	--with-initdir=/etc/rc.d/init.d
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service ifplugd restart

%preun
if [ "$1" = "0" ]; then
	%service ifplugd stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc doc/README doc/NEWS doc/README.html doc/style.css
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ifplugd
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_sbindir}/*
%dir %{_sysconfdir}/ifplugd
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ifplugd/ifplugd.action
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ifplugd.spec,v $
Revision 1.28  2008-02-02 11:00:23  hawk
- fixed headers issue
- release 6

Revision 1.27  2007-12-28 11:07:22  glen
- does not compile for th

Revision 1.26  2007-12-28 09:16:34  glen
- rel 5

Revision 1.25  2007-11-26 20:01:14  glen
- fixed typo in initscript; rel 4

Revision 1.24  2007-02-13 08:06:35  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.22  2006/09/19 16:53:11  glen
- rel 3

Revision 1.21  2006/09/17 19:36:35  glen
- PLDized; rel 2

Revision 1.20  2006/04/26 17:07:52  glen
- +/- tabs

Revision 1.19  2006/04/26 13:49:01  darekr
- use %service

Revision 1.18  2006/04/26 13:44:13  piti
- URL update

Revision 1.17  2005/06/04 23:33:48  aredridel
- up to 0.28

Revision 1.16  2005/05/16 14:23:52  spider
- up md5 sum

Revision 1.15  2005/05/16 14:15:07  zbyniu
- up to 0.27
- BR: autoconf, automake, pkgconfig
- added disable-subversion, disable-xmltoman to %configure

Revision 1.14  2005/05/02 17:04:37  wrobell
- kill -std=c99 (so it compiles with linux libc headers)
- rel. 2

Revision 1.13  2004/12/19 08:41:56  aredridel
- up to 0.26

Revision 1.12  2004/05/18 20:23:13  kali
- updated to 0.25

Revision 1.11  2004/04/08 19:37:52  yogib
- updated to 0.23

Revision 1.10  2004/02/10 19:56:29  yogib
- updated to 0.22

Revision 1.9  2004/01/27 19:31:30  yogib
- up to 0.21b
- removed patch (author added missing file)

Revision 1.8  2004/01/26 20:25:01  yogib
- updated to 0.21
- added patch to fix include wrong header name

Revision 1.7  2004/01/25 22:13:22  yogib
- updated to 0.20

Revision 1.6  2003/10/21 09:44:30  arekm
- updated to 0.19

Revision 1.5  2003/10/14 22:52:47  qboosh
- cleanups, post/preun deps

Revision 1.4  2003/09/08 14:01:37  arekm
- fix permissions

Revision 1.3  2003/09/08 13:55:12  arekm
- fix permissions

Revision 1.2  2003/08/31 21:36:32  ankry
- pl

Revision 1.1  2003/08/28 23:02:21  arekm
- need to write ifplugd.init script
